College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/recordsget/calendarget/scoreboardget/game/box/advancedget
playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
drives
    /drivesget
plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
teams
    /teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
conferences
    /conferencesget
venues
    /venuesget
coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
rankings
    /rankingsget
betting
    /linesget
recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
draft
    /draft/teamsget/draft/positionsget/draft/picksget
adjustedMetrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

draft

Download schema

NFL Draft picks, teams, and position categories.


GET
https://api.collegefootballdata.com
/draft/teams
Bearer

Returns the NFL teams represented in draft data.

Responses

200

Ok

​DraftTeam[]
DraftTeam
location
​string · required
nickname
​string | null · required
displayName
​string | null · required
logo
​string | null · required
GET/draft/teams
curl https://api.collegefootballdata.com/draft/teams \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "location": "location", "nickname": "nickname", "displayName": "displayName", "logo": "logo" } ]
json
application/json

GET
https://api.collegefootballdata.com
/draft/positions
Bearer

Returns the player position categories used in NFL Draft data.

Responses

200

Ok

​DraftPosition[]
DraftPosition
name
​string · required
abbreviation
​string · required
GET/draft/positions
curl https://api.collegefootballdata.com/draft/positions \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "name": "name", "abbreviation": "abbreviation" } ]
json
application/json

GET
https://api.collegefootballdata.com
/draft/picks
Bearer

Returns historical NFL Draft picks.

query Parameters

year
​integer · int32

Draft year.

team
​string

NFL team name.

school
​string

College team name.

conference
​string

College conference name or abbreviation.

position
​string

Position category.

Responses

200

Ok

​DraftPick[]
DraftPick
collegeAthleteId
​integer | null · int32 · required
nflAthleteId
​integer · int32 · required
collegeId
​integer · int32 · required
collegeTeam
​string · required
collegeConference
​string | null · required
nflTeamId
​integer · int32 · required
nflTeam
​string · required
year
​integer · int32 · required
overall
​integer · int32 · required
round
​integer · int32 · required
pick
​integer · int32 · required
name
​string · required
position
​string · required
height
​number | null · double · required
weight
​integer | null · int32 · required
preDraftRanking
​integer | null · int32 · required
preDraftPositionRanking
​integer | null · int32 · required
preDraftGrade
​integer | null · int32 · required
​object · required
GET/draft/picks
curl https://api.collegefootballdata.com/draft/picks \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "collegeAthleteId": 0, "nflAthleteId": 0, "collegeId": 0, "collegeTeam": "collegeTeam", "collegeConference": "collegeConference", "nflTeamId": 0, "nflTeam": "nflTeam", "year": 0, "overall": 0, "round": 0, "pick": 0, "name": "name", "position": "position", "height": 0, "weight": 0, "preDraftRanking": 0, "preDraftPositionRanking": 0, "preDraftGrade": 0, "hometownInfo": { "countyFips": "countyFips", "longitude": "longitude", "latitude": "latitude", "country": "country", "state": "state", "city": "city" } } ]
json
application/json

statsadjustedMetrics